<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFile Method (IEdmFolder5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder5 Interface : GetFile Method (IEdmFolder5)

Visual Basic
C#
C++/CLI

bsFileName
  Name of file to get

Gets the interface to a file with the specified name in this folder.

# Syntax

Visual Basic |
--- | ---

    Function GetFile( _
       ByVal bsFileName As System.String _
    ) As IEdmFile5

C# |
--- | ---

    IEdmFile5 GetFile(
       System.string bsFileName
    )

C++/CLI |
--- | ---

    IEdmFile5^ GetFile(
    &   System.String^ bsFileName
    )

#### Parameters

bsFileName
  Name of file to get

#### Return Value

IEdmFile5

# Example

Vault Utilities (VB.NET)
Vault Utilities (C#)

# Remarks

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmFile5.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_INVALID_NAME: A file with the specified name is not found.
- E_EDM_PERMISSION_DENIED: The user lacks permission to read the file.

# See Also

####

IEdmFolder5 Interface
IEdmFolder5 Members
IEdmFolder5::GetFirstFilePosition Method ()
IEdmFolder5::GetSubFolder Method ()
IEdmFolder5::GetFirstSubFolderPosition Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2